Package org.apache.tapestry5.services

## Interface FieldTranslatorSource

- All Known Implementing Classes:
    `FieldTranslatorSourceImpl`

      public interface FieldTranslatorSource

  For a particular field, generates the default `FieldTranslator` for the field.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FieldTranslator` | `createDefaultTranslator​(ComponentResources resources, java.lang.String parameterName)` | Common shorthand for `createDefaultTranslator(org.apache.tapestry5.Field, String, org.apache.tapestry5.commons.Messages, java.util.Locale, Class, org.apache.tapestry5.commons.AnnotationProvider)`.
    `FieldTranslator` | `createDefaultTranslator​(Field field, java.lang.String overrideId, Messages overrideMessages, java.util.Locale locale, java.lang.Class propertyType, AnnotationProvider propertyAnnotations)` | Creates a `FieldTranslator` for the given property, or returns null if one can't be constructed.
    `FieldTranslator` | `createTranslator​(ComponentResources componentResources, java.lang.String translatorName)` | Creates a translator (used by the `translate: binding prefix`).
    `FieldTranslator` | `createTranslator​(Field field, java.lang.String overrideId, Messages overrideMessages, java.util.Locale locale, Translator translator)` | Wraps a `Translator` as a FieldTranslator.

- - ### Method Detail

    - #### createDefaultTranslator

          FieldTranslator createDefaultTranslator​(ComponentResources resources,
                                                  java.lang.String parameterName)

      Common shorthand for `createDefaultTranslator(org.apache.tapestry5.Field, String, org.apache.tapestry5.commons.Messages, java.util.Locale, Class, org.apache.tapestry5.commons.AnnotationProvider)`.
      Parameters:
        `resources` - of component who owns the parameter
        `parameterName` - name of parameter used to determine the property type
      Returns:
        field translator, or null

    - #### createDefaultTranslator

          FieldTranslator createDefaultTranslator​(Field field,
                                                  java.lang.String overrideId,
                                                  Messages overrideMessages,
                                                  java.util.Locale locale,
                                                  java.lang.Class propertyType,
                                                  AnnotationProvider propertyAnnotations)

      Creates a `FieldTranslator` for the given property, or returns null if one can't be constructed. The return value is null if the property type is not known, or if there is no `Translator` available from the `TranslatorSource` that is appropriate for the property type.
      Parameters:
        `field` - for which a translator is needed
        `overrideId` - id used when looking in the overrideMessages for a message override
        `overrideMessages` - location to look for overriding messages
        `locale` - no longer used in 5.3, may be null
        `propertyType` - type of property editted by the field, used to select the Translator
        `propertyAnnotations` - annotations on the property (not currently used)
      Returns:
        the field translator, or null

    - #### createTranslator

          FieldTranslator createTranslator​(Field field,
                                           java.lang.String overrideId,
                                           Messages overrideMessages,
                                           java.util.Locale locale,
                                           Translator translator)

      Wraps a `Translator` as a FieldTranslator.
      Parameters:
        `locale` - no longer used in 5.3, may be null

    - #### createTranslator

          FieldTranslator createTranslator​(ComponentResources componentResources,
                                           java.lang.String translatorName)

      Creates a translator (used by the `translate: binding prefix`).